<?php
if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Shortcode attributes
 *
 * @var $atts
 * @var $el_class
 *
 * @var $content - shortcode content
 *
 * Shortcode class
 * @var $this Vckit_Shortcode_Carousel
 */
$arrow_style =
$arrow_position =
$dot_position =
$hide_arrow_mouse =
$el_class =
$css = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
  'vckit-carousel',
  'vckit-carousel-arrow-' . $arrow_position,
  $el_class,
);

$id = 'vckit-carousel-' . rand();

if ( 'yes' == $show_dot ) {
  $css_classes[] = 'vckit-carousel-dot-' . $dot_position;
}

if ( 'yes' == $hide_arrow_mouse ) {
  $css_classes[] = 'vckit-carousel-hide-arrow-mouse';
}

?>
<div
  id="<?php echo esc_attr( $id ) ?>"
  class="<?php echo esc_attr( implode( ' ', $css_classes ) ); ?>"
  <?php echo $this->getCarouselAtts( $atts ) //@codingStandardsIgnoreLine ?>
>
  <?php echo wpb_js_remove_wpautop( $content ); //@codingStandardsIgnoreLine ?>
</div>

<style type="text/css"><?php echo $this->getCarouselStyle( $atts, $id ) //@codingStandardsIgnoreLine ?></style>
